Introduction

Thanks for using SnIco Edit 1.x! This help will guide you trough the many features SnIco Edit has to offer.


First Run

When you run SnIco Edit for the first time the following screen will appear.

Press yes if you want to open icons with SnIco edit by default or no if you want to continue use your current icon editor.


The palette window

This window is used for choosing colors to draw with. It also does some palette managing for the current icon.

The two screens are the transparent and inversed transparent 'colors'. By clicking on them with the left or right mousebutton the current foreground or background color will change.

The other colors depent on the current icon's color depth. You can select a color by clicking on it or change a color by double-click on it. When you change it the following screen will appear allowing you to select a color:

Note: In a true color icon there is no palette associated with the icon and changing a color won't effect the icon. By a 2, 16 or 256 color icon there is a palette and changing a color will change (if used) the color in the icon!

If you are creating a true color icon there will be another feature available. At the bottom of the palette window a gradient filled bar will be visible. On the left and on the right side there are boxes with the current selected color which you can change in the current fore- or backcolor by clicking on these boxen. Also an arrow will be showed which you can move by holding your left mousebutton on the gradient bar and move. By doing this the arrow will point to last point you released your mouse. If you click on the arrow the color it points to will be the current fore- or backcolor.

By clicking on the advanced button, the advanced color selection part will be visible. You must click on the color you want to change to make it active. For example: by clicking on the forecolor in the palette window, the forcolor box gets a dashed line and you can change the forecolor.You can now select a color with either the hue, lum box, scrollboxes, textboxes and custom colors.

There's also a small palette for custom colors. You can set a color by right clicking on a color and use it by clicking with the leftmousebutton. The colors will be saved and can be used in other icons.


Tool options window

The tool options window

In this window you can set the options for some of the tools. In this screenshot the pencil is selected. By selecting a different tool in the toolbar in the main window.

Opacity settings

You can set the opacity by entering a number between 0 and 100 in the textbox or pressing the up and down button. Also by moving the mouse while holding the left mousebutton over the bar under the textbox you can select a different opacity level. The higher the opacity the faster a pixel will get the selected color. Also for True color XP icons th alpha opacity is available. You can set a value between 0 and 255. The higher to less transparent the pixel will be.

Pencil

The Pencil doesn't have any options.

Brush

By selecting the paintbrush as tool the brush options will be showed. You can set the brush width and height by entering a number between 1 and 20 in the textboxes.

Fill

The fill tool doesn't have options.

Line

The line tool doesn't have options.

Shape

There are to different shapes available: the rectangle and the ellipse. You can select them by clicking on them in the options window. Also you can set the options filles and borders.

Pipet

The pipet has no options.

Selection

There is one option for the selection tool. If you want to be able to select transparent background in the selection you should set the checkbox to checked.

Text

Also the text option doesn't have options to be set here.

Hotspot

Again no options available.


Main window

The main window

This is the main window. This is the most important window and contains the menu, the toolbar, the raster, the statusbar, the iconbar and the buttonbar.


Editing window

The editing window

This windows contains the editing grid and three buttons: Normal, color and mask.

If in color mode the grid shows the colors of pixels. Transparent pixels are black and inversed pixels are white.

If in mask mode th grid shows the transparency of the pixels. The whiter the less transparent.

In normal mode the grid shows the combination of mask and color.


The toolbar
Pencil
Brush
Fill tool
Line
Shape tool
Pipette tool
Selection tool
Text tool
Hotspot tool *

In this toolbar you can select the current tool.

* Note: The hotspot tool is only available when creating a cursor!

See also:

The main window


The Grid

The grid fast drawed

The grid best drawed

This is the grid on which the drawing happens. When fast drawed the grid does not paint transparent pixels. In XP icons it's possible to use pixels with alpa transprancy. By these pixels the border is the color of the pixel and the pixel is filled with lines. These lines are colored from black to white. The less transparent the whiter the lines. In best draw mode the colors are blended with transparent pixels.

You can zoom by pressing de + and - keys on the numpad or by scrolling the webwheel on your mouse.

See also:

The main window


The Statusbar

The status bar consists if the info panel, the color panel and the position panel. In the info panel some message may appear. The color panel shows the color which the mouse is currently above. This might be in the palette window, the grid or the current fore- and background color boxes.

The last panel shows the current mouse position in the grid.

See also:

The main window


The pencil tool

The pencil tool is used to draw pixels. By setting the opacity level in the tool options window, you can blend the current pixel color with the current fore- or background color.

Note: Opacity will only work in true color icons.


The paintbrush

The paintbrush is used to draw quickly pixels. You can set the width and the height in the tool options window.


The fill tool

The fill tool fills areas of pixels width the current fore- or backcolor.


The shape tool

There are two different shapes: the rectangle and the circle. You can select them in the tool options windows, where you also can set the filled and border options.

If the fill option is checked the shape will be filled with the current forecolor.

The border option can only be checked if the fill option is checked. When checked the shape will be filed with the backcolor and have a forecolor border.


The pipette tool

When you click on the grid while using this tool the current fore- or backcolor will change into the color of the pixel clicked on.


The selection tool

Starting the selection.

The selection tool is used bij holding the left mouse button on the grid and select pixels bij moving the mouse and release it on the end of the selection.

Selection complete.

The selection tool will move the pixels selected into a new icon and fill the selected pixels with the current backcolor. The new icon is displayed on top of the original icon. You can see this when you move the selected part.

Moving the selection.

There is one option in the tool option window: the transparent checkbox. When checked the selection tool will not copy the transparent pixels into the new icon, but make those pixels in the new icon transparent.


The text tool

You can use the text tool to draw text on the icon. When clicked on the grid the text tool opens the following window:

Enter the text in the textbox and select a font, size and style. In the sample box will appear a sample. When you click on the Ok button the text tool will create an icon and select the selection tool to let you move the text around.


The hotspot tool

This tool is only available when creating or editing a cursor. A cursor needs a 'hotspot' which is the actual point the mouse clicks.


Creating a new icon

To create a new icon press the new icon button in the menu File or in the buttonbar. The following window will appear:

You can choose to create an icon or a cursor file and press the Ok button. A new file Untitled will be created.


Adding an icon

An icon file contains a number of icons, which can be by default 16x16, 32x32 or 64x64 in size and 2, 16, 256, true colors or since Windows XP true color with alpha transparency. With SnIco Edit you can edit all these and even set a custom height and width. To add an icon select from the Tools menu the Add icon button. The following window will appear:

Set the color depth, width and height you want. If you want the new icon to be a resized version of the current icon, check the base on current icon box.


Deleting an icon

To delete an icon, select the icon in the icon list and press the Delete Icon button in the Tools menu.


Importing and exporting icons

SnIco Edit is capable of importing icons from bitmap files (*.bmp) and exporting to either bitmap or gif (*.gif).

To import a bitmap press the import bitmap in the file menu. Select a bitmap file and the icon will be loaded.

To export a bitmap file press the Export bitmap button in the file menu and select the destination file. For exporting GIF files press the export gif button adn select the color you want to use for transparency.


Mirroring, rotating and moving

Mirroring, rotating and moving can be done with either the whole icon or a selected part selected by the selection tool. Just goto the effects menu and select in the submenus: mirroring, rotating or moving, which action you would like to take.


Invert colors

In the effect menu, press the invert colors button. This will invert all colors in the icons, including the tranparent colors. Only available in true color icons.


Draw speed

Select a draw speed

There are two drawing speeds: fast and better quality. You can select either in the windows menu in the sub menu drawing speed. The drawing speed effects the display if the editing grid. See for more information the editing grid


Importing from DLL

Importing from resource files

Resource files are DLL and EXE files. Both can contain icons and cursors. SnIco Edit can import single icons and icon groups. To import an icon group select the load icon group resource menu item, or to import a single icon import -> icon from resource. Select a valid DLL or EXE file and the following window will appear.

In the left box the icon groups are showed and in the right box the icons in the current selected icon group. When you click on ok SnIco Edit will import the icon(s).


Register SnIco Edit

If you would like to stay up-to-date with updates for SnIco Edit and new software from Snidesoft, please register. You can register by filling in the form located in the Help menu > register. Or by sending your name, e-mail address and country to meijer@caiw.nl.


Select a different language

SnIco Edit ships with English, Dutch and French languages. You can swhitch between them in the menu File > Language section.

If you would like to have SnIco Edit in your language and you would like to translate it for us, please mail us at meijer@caiw.nl.


The windows icon

Most pictures in Microsoft Windows are bitmaps or icon files. Because bitmaps don't support transparency, icons will give buttons, files and windows a nicer look.


The windows cursor

The difference between icons and cursors is that cursors support hotspots. This is the point the mouse actually stands.


The line tool

This tool draws lines by holding your left mouse button on the grid and move to the point which should be the end of the line.